For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Note object
          • GET/notes
          • POST/notes
          • GET/notes/{id}
          • GET/notes/meta/post
          • GET/notes/remote-field-classes

Get started

  • Overview
  • Introduction
  • Unified API
  • Linked Account
  • Merge Link
  • Use cases

Implementation

  • Sandboxes
  • SDKs
  • API access
  • Syncing data
  • Writing data
  • Data minimization
  • Supplemental data
  • Errors
  • Integration metadata

API reference

  • ATS
  • HRIS
  • Accounting
  • Ticketing
  • CRM
  • File Storage
  • Knowledge Base
  • Chat

Resources

  • Help Center
  • Merge.dev
  • Changelog
© Merge 2026Terms of usePrivacy policy
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsNotes

/notes/{id}

GET
/crm/v1/notes/:id
GET
/api/crm/v1/notes/:id
$curl -G https://api.merge.dev/api/crm/v1/notes/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d expand=account
200Retrieved
1{
2 "id": "550e8400-e29b-41d4-a716-446655440000",
3 "remote_id": "19202938",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "owner": "0358cbc6-2040-430a-848e-aafacbadf3aa",
7 "content": "Merge is hiring!",
8 "contact": "025fjlc6-6000-430a-848e-aafacbadf4fe",
9 "account": "fba1fbc6-67c0-4cb2-a176-7896acd2ffd5",
10 "opportunity": "754a244e-dd67-4731-a8d3-9bff9dc10465",
11 "note_url": "https://crm.example.com/notes/19202938",
12 "remote_updated_at": "2022-02-10T00:00:00Z",
13 "remote_created_at": "2021-11-10T00:00:00Z",
14 "remote_was_deleted": true,
15 "field_mappings": {
16 "organization_defined_targets": {
17 "custom_key": "custom_value"
18 },
19 "linked_account_defined_targets": {
20 "custom_key": "custom_value"
21 }
22 },
23 "remote_data": [
24 {
25 "path": "/notes",
26 "data": null
27 }
28 ],
29 "remote_fields": [
30 {
31 "remote_field_class": {
32 "id": "string",
33 "display_name": "string",
34 "remote_key_name": "string",
35 "description": "string",
36 "is_custom": true,
37 "is_common_model_field": true,
38 "is_required": true,
39 "field_type": "string",
40 "field_format": "string",
41 "field_choices": [
42 "string"
43 ],
44 "item_schema": {
45 "item_type": "string",
46 "item_format": "string",
47 "item_choices": [
48 "string"
49 ]
50 }
51 },
52 "value": "string"
53 }
54 ]
55}

Returns a Note object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/notes

Next

/notes/meta/post

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandlist of enumsOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_remote_fieldsbooleanOptional
Whether to include all remote fields, including fields that Merge did not map to common models, in a normalized format.
include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
ownerstring or nullformat: "uuid"
The note's owner.
contentstring or null
The note's content.
contactstring or nullformat: "uuid"
The note's contact.
accountstring or nullformat: "uuid"
The note's account.
opportunitystring or nullformat: "uuid"
The note's opportunity.
note_urlstring or nullformat: "uri"<=2000 characters
The note's URL in the remote system.
remote_updated_atdatetime or null
When the third party's lead was updated.
remote_created_atdatetime or null
When the third party's lead was created.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only
remote_fieldslist of objectsRead-only